Debian Bug report logs - #579221
openldap: FTBFS on kfreebsd-*: error: missing binary operator before token "long"

version graph

Package: src:openldap; Maintainer for src:openldap is Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Mon, 26 Apr 2010 10:57:01 UTC

Severity: serious

Tags: confirmed, patch, upstream

Found in version openldap/2.4.21-1

Done: Matthijs Möhlmann <matthijs@cacholong.nl>

Bug is archived. No further changes may be made.

Forwarded to http://www.openldap.org/its/index.cgi/?findid=6534

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#579221; Package src:openldap. (Mon, 26 Apr 2010 10:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Mon, 26 Apr 2010 10:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openldap: FTBFS on kfreebsd-*: error: missing binary operator before token "long"
Date: Mon, 26 Apr 2010 12:57:38 +0200
[Message part 1 (text/plain, inline)]
Source: openldap
Version: 2.4.21-1
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd-*:
| /build/buildd-openldap_2.4.21-1-kfreebsd-amd64-VWAqZY/openldap-2.4.21/libraries/liblutil/detach.c:131:7: error: missing binary operator before token "long"
| make[3]: *** [detach.o] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?suite=unstable&p=openldap

I think it's just a matter of changing if FOO into if defined(FOO) as
seen in the attached patch. Once applied, the build was successful on my
porterbox.

Mraw,
KiBi.
[openldap+kbsd.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#579221; Package src:openldap. (Mon, 26 Apr 2010 15:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Mon, 26 Apr 2010 15:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 579221@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: 579221@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: [Pkg-openldap-devel] Bug#579221: openldap: FTBFS on kfreebsd-*: error: missing binary operator before token "long"
Date: Mon, 26 Apr 2010 08:10:53 -0700
--On Monday, April 26, 2010 12:57 PM +0200 Cyril Brulebois 
<kibi@debian.org> wrote:

> Source: openldap
> Version: 2.4.21-1
> Severity: serious
> Justification: FTBFS
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd

Filed upstream as:

<http://www.openldap.org/its/index.cgi/?findid=6534>

--Quanah

--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Set Bug forwarded-to-address to 'http://www.openldap.org/its/index.cgi/?findid=6534'. Request was from Matthijs Mohlmann <matthijs@cacholong.nl> to control@bugs.debian.org. (Mon, 26 Apr 2010 20:03:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from matthijs@alioth.debian.org to control@bugs.debian.org. (Mon, 26 Apr 2010 20:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#579221; Package src:openldap. (Thu, 29 Apr 2010 02:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 29 Apr 2010 02:27:03 GMT) Full text and rfc822 format available.

Message #19 received at 579221@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: 579221@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: [Pkg-openldap-devel] Bug#579221: Bug#579221: openldap: FTBFS on kfreebsd-*: error: missing binary operator before token "long"
Date: Wed, 28 Apr 2010 19:24:02 -0700
--On Monday, April 26, 2010 8:10 AM -0700 Quanah Gibson-Mount 
<quanah@zimbra.com> wrote:

> --On Monday, April 26, 2010 12:57 PM +0200 Cyril Brulebois
> <kibi@debian.org> wrote:
>
>> Source: openldap
>> Version: 2.4.21-1
>> Severity: serious
>> Justification: FTBFS
>> User: debian-bsd@lists.debian.org
>> Usertags: kfreebsd
>
> Filed upstream as:
>
> <http://www.openldap.org/its/index.cgi/?findid=6534>

Further note:

TIOCNOTTY is defined in a system header file.  If the build is failing on 
this elif, it sounds like you have a missing system header while doing the 
build.  Please report which OS header defines TIOCNOTTY on your BSD based 
box.  Unfortunately your suggested patch is not valid, see 
<http://www.openldap.org/lists/openldap-bugs/201004/msg00074.html>

Regards,
Quanah

--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#579221; Package src:openldap. (Thu, 29 Apr 2010 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 29 Apr 2010 11:00:04 GMT) Full text and rfc822 format available.

Message #24 received at 579221@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Quanah Gibson-Mount <quanah@zimbra.com>
Cc: 579221@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#579221: Bug#579221: openldap: FTBFS on kfreebsd-*: error: missing binary operator before token "long"
Date: Thu, 29 Apr 2010 12:58:27 +0200
[Message part 1 (text/plain, inline)]
Hello,

Quanah Gibson-Mount <quanah@zimbra.com> (28/04/2010):
> TIOCNOTTY is defined in a system header file.  If the build is
> failing on this elif, it sounds like you have a missing system
> header while doing the build.  Please report which OS header defines
> TIOCNOTTY on your BSD based box.

kibi@kbsd:~$ grep TIOCNOTTY /usr/include/ -r
/usr/include/sys/ttycom.h:#define	  TIOCNOTTY	 _IO('t', 113)		/* void tty association */

kibi@kbsd:~$ grep ttycom.h -r /usr/include/
/usr/include/sys/tty.h:#include <sys/ttycom.h>
/usr/include/bits/ioctls.h:#include <sys/ttycom.h>

Looks like you may want sys/tty.h here?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#579221; Package src:openldap. (Thu, 29 Apr 2010 15:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 29 Apr 2010 15:33:04 GMT) Full text and rfc822 format available.

Message #29 received at 579221@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: Cyril Brulebois <kibi@debian.org>
Cc: 579221@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#579221: Bug#579221: openldap: FTBFS on kfreebsd-*: error: missing binary operator before token "long"
Date: Thu, 29 Apr 2010 08:29:44 -0700
--On Thursday, April 29, 2010 12:58 PM +0200 Cyril Brulebois 
<kibi@debian.org> wrote:

> Hello,
>
> Quanah Gibson-Mount <quanah@zimbra.com> (28/04/2010):
>> TIOCNOTTY is defined in a system header file.  If the build is
>> failing on this elif, it sounds like you have a missing system
>> header while doing the build.  Please report which OS header defines
>> TIOCNOTTY on your BSD based box.
>
> kibi@kbsd:~$ grep TIOCNOTTY /usr/include/ -r
> /usr/include/sys/ttycom.h:#define	  TIOCNOTTY	 _IO('t', 113)		/* void tty
> association */
>
> kibi@kbsd:~$ grep ttycom.h -r /usr/include/
> /usr/include/sys/tty.h:#include <sys/ttycom.h>
> /usr/include/bits/ioctls.h:#include <sys/ttycom.h>
>
> Looks like you may want sys/tty.h here?

Thanks!  I'll follow up with upstream on this.

--Quanah



--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Removed tag(s) pending. Request was from Matthijs Mohlmann <matthijs@cacholong.nl> to control@bugs.debian.org. (Sun, 23 May 2010 12:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#579221; Package src:openldap. (Sun, 23 May 2010 20:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Sun, 23 May 2010 20:42:02 GMT) Full text and rfc822 format available.

Message #36 received at 579221@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 579221@bugs.debian.org
Cc: Quanah Gibson-Mount <quanah@zimbra.com>
Subject: Re: Bug#579221: [Pkg-openldap-devel] Bug#579221: Bug#579221: openldap: FTBFS on kfreebsd-*: error: missing binary operator before token "long"
Date: Sun, 23 May 2010 22:39:49 +0200
[Message part 1 (text/plain, inline)]
On Thu, Apr 29, 2010 at 12:58:27 +0200, Cyril Brulebois wrote:

> Hello,
> 
> Quanah Gibson-Mount <quanah@zimbra.com> (28/04/2010):
> > TIOCNOTTY is defined in a system header file.  If the build is
> > failing on this elif, it sounds like you have a missing system
> > header while doing the build.  Please report which OS header defines
> > TIOCNOTTY on your BSD based box.
> 
> kibi@kbsd:~$ grep TIOCNOTTY /usr/include/ -r
> /usr/include/sys/ttycom.h:#define	  TIOCNOTTY	 _IO('t', 113)		/* void tty association */
> 
> kibi@kbsd:~$ grep ttycom.h -r /usr/include/
> /usr/include/sys/tty.h:#include <sys/ttycom.h>
> /usr/include/bits/ioctls.h:#include <sys/ttycom.h>
> 
> Looks like you may want sys/tty.h here?
> 
sys/ioctl.h should be enough, and it sounds like TIOCNOTTY *is* defined
in your build.  A quick test on the kfreebsd-amd64 porter box shows that
TIOCNOTTY expands as:
((unsigned long) ((0x20000000) | (((0) & 0x1fff) << 16) | ((('t')) << 8) | ((113))))

from <sys/ioccom.h>:
#define _IOC(inout,group,num,len)       ((unsigned long) \
        ((inout) | (((len) & IOCPARM_MASK) << 16) | ((group) << 8) | (num)))
#define _IO(g,n)        _IOC(IOC_VOID,  (g), (n), 0)

Testing for defined(TIOCNOTTY) instead would probably fix it, I think?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#579221; Package src:openldap. (Tue, 25 May 2010 18:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 25 May 2010 18:39:06 GMT) Full text and rfc822 format available.

Message #41 received at 579221@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: Julien Cristau <jcristau@debian.org>, Cyril Brulebois <kibi@debian.org>, 579221@bugs.debian.org
Subject: Re: Bug#579221: [Pkg-openldap-devel] Bug#579221: Bug#579221: openldap: FTBFS on kfreebsd-*: error: missing binary operator before token "long"
Date: Tue, 25 May 2010 11:36:50 -0700
--On Sunday, May 23, 2010 10:39 PM +0200 Julien Cristau 
<jcristau@debian.org> wrote:

> sys/ioctl.h should be enough, and it sounds like TIOCNOTTY *is* defined
> in your build.  A quick test on the kfreebsd-amd64 porter box shows that
> TIOCNOTTY expands as:
> ((unsigned long) ((0x20000000) | (((0) & 0x1fff) << 16) | ((('t')) << 8)
> | ((113))))
>
> from <sys/ioccom.h>:
># define _IOC(inout,group,num,len)       ((unsigned long) \
>         ((inout) | (((len) & IOCPARM_MASK) << 16) | ((group) << 8) |
> (num)))
># define _IO(g,n)        _IOC(IOC_VOID,  (g), (n), 0)
>
> Testing for defined(TIOCNOTTY) instead would probably fix it, I think?

Noted in the upstream ITS:

<http://www.openldap.org/its/index.cgi/?findid=6534>

--Quanah

--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Added tag(s) upstream, confirmed, and patch. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 18:51:33 GMT) Full text and rfc822 format available.

Reply sent to Matthijs Möhlmann <matthijs@cacholong.nl>:
You have taken responsibility. (Mon, 12 Jul 2010 18:45:08 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Mon, 12 Jul 2010 18:45:09 GMT) Full text and rfc822 format available.

Message #48 received at 579221-done@bugs.debian.org (full text, mbox):

From: Matthijs Möhlmann <matthijs@cacholong.nl>
To: 579221-done@bugs.debian.org
Subject: Re: openldap: FTBFS on kfreebsd-*: error: missing binary operator before token "long"
Date: Mon, 12 Jul 2010 20:31:24 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

According to the buildd logs and the attempt for kfreebsd-i386 this
issue disappeared.

Regards,

Matthijs Mohlmann
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkw7X3wACgkQ2n1ROIkXqbB4dwCdEuwANAn2KQx9w1QjI8JmN+MU
6U8AmQEXQSjIHWE+SW/UNEc1m8FTrFcC
=QJrT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Aug 2010 07:31:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:24:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.